# !!!!!!!! WARNING THIS HAS TO BE EDITED IN THE CVS !!!!!!!!!!!
# get the source from our cvs repository (see http://www.linuxmandrake.com/en/cvs.php3)

%define name numlock
%define version 2.0
%define release 8mdk

Summary: Numlock key locker
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: System/Configuration/Boot and Init
Source0: %{name}-%{version}.tar.bz2
BuildRequires:	XFree86-devel
BuildRoot: %{_tmppath}/%{name}-buildroot
autoReq: no
PreReq: rpm-helper
Requires: fileutils console-tools glibc
Obsoletes: NumLock
Provides: NumLock = %{version}-%{release}

%description
NumLock enable to lock the numlock key. Only enable it at boot-time with
ntsysv or with any other SVSR like rc.d config scripts editor such as
tksysv or the ones from GNOME and KDE.
NumLock is safe for portable as it is disabled by default.

%prep
%setup -q

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make install TOP=$RPM_BUILD_ROOT INITRDDIR=%{_initrddir}

%post
%_post_service numlock

%preun
%_preun_service numlock

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(755,root,root)
%config(noreplace) %{_initrddir}/%{name}
%config(noreplace) /etc/profile.d/%{name}.sh
%config(noreplace) /etc/X11/xinit.d/numlock
/usr/X11R6/bin/*
/usr/X11R6/man/man1/*
/usr/X11R6/man/cs/man1/*
%lang(cs) /usr/X11R6/man/cs/man1/*
%lang(et) /usr/X11R6/man/et/man1/*
%lang(eu) /usr/X11R6/man/eu/man1/*
%lang(fr) /usr/X11R6/man/fr/man1/*
%lang(ru) /usr/X11R6/man/ru/man1/*
%lang(uk) /usr/X11R6/man/uk/man1/*


%changelog
* Sat Apr 19 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0-8mdk
- make it lib64 aware

* Thu Feb 13 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 2.0-7mdk
- rebuild

* Tue Oct 16 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 2.0-6mdk
- fix obsolete-tag Copyright
- resync in cvs

* Thu Aug 30 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 2.0-5mdk
- fix provides

* Sat Jul 07 2001 Stefan van der Eijk <stefan@eijk.nu> 2.0-4mdk
- BuildRequires:	XFree86-devel

* Thu Jul  5 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 2.0-3mdk
- rebuild

* Thu Mar 29 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 2.0-2mdk
- user post and preun service macros

* Tue Jan  9 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 2.0-1mdk
- really fix the xinit.d file
- reintegrate into CVS

* Thu Nov  2 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-11mdk
- fix the xinit.d file, thanks to fcrozat
- get latest code that ensure the numlock is on even if it was already
  on, thx to fcrozat

* Mon Sep 11 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-10mdk
- tried to really fix numlock for fredl

* Wed Aug 30 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-9mdk
- added %{_initrddir}
- NumLock -> numlock by request of submarine ;-)
- %config(noreplace)

* Wed Apr 26 2000 Pixel <pixel@mandrakesoft.com> 1.0-8mdk
- force non-requiring XFree86-libs

* Wed Apr 12 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0-7mdk
- launch via /etc/X11/xinit.d

* Wed Apr  5 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0-6mdk
- Remove the noarch since now we have enable_X11_numlock.
- Cvs import.
- Add enable_X11_numlock program (thanks gg).

* Fri Mar 31 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-5mdk
- new groups

* Wed Dec 22 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- fix a bug in xterm handling (reject /dev/ttya??)

* Thu Nov 18 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- fix chkconfig
- explicitely requires console-tools for touch (this would be the first
  rpm to do this !) and fileutils for setleds (which may have cause problems)

* Fri Oct 28 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- fix a typo (rpm include the %setup in the %description section !!!)
- lowercase the rpm name for Lord DarkChmou

* Fri Oct 24 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- initial spec


